package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.UseGuide;

/**
 * 使用指南Service接口
 * 
 * @author ruoyi
 * @date 2022-07-14
 */
public interface IUseGuideService 
{
    /**
     * 查询使用指南
     * 
     * @param id 使用指南主键
     * @return 使用指南
     */
    public UseGuide selectUseGuideById(Long id);

    /**
     * 查询使用指南列表
     * 
     * @param useGuide 使用指南
     * @return 使用指南集合
     */
    public List<UseGuide> selectUseGuideList(UseGuide useGuide);

    /**
     * 新增使用指南
     * 
     * @param useGuide 使用指南
     * @return 结果
     */
    public int insertUseGuide(UseGuide useGuide);

    /**
     * 修改使用指南
     * 
     * @param useGuide 使用指南
     * @return 结果
     */
    public int updateUseGuide(UseGuide useGuide);

    /**
     * 批量删除使用指南
     * 
     * @param ids 需要删除的使用指南主键集合
     * @return 结果
     */
    public int deleteUseGuideByIds(Long[] ids);

    /**
     * 删除使用指南信息
     * 
     * @param id 使用指南主键
     * @return 结果
     */
    public int deleteUseGuideById(Long id);

    AjaxResult getInfoNew();
}
